﻿<%@ Page Language="C#" MasterPageFile="~/Default.master" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Src="UserControls/ModeChanger.ascx" TagName="ModeChanger" TagPrefix="uc3" %>
<%@ Register Src="WebParts/EmployeeListingPart.ascx" TagName="EmployeeListingPart" TagPrefix="uc2" %>
<%@ Register Src="WebParts/DepartmentListingPart.ascx" TagName="DepartmentListingPart" TagPrefix="uc1" %>

<asp:Content ContentPlaceHolderID="Main" ID="Content1" runat="server">

<div id="leftcolumn">
    <asp:WebPartManager ID="WebPartManager1" runat="server" />
    
    <h3>Welcome	to the HR Portal</h3>
	<p>
	    Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam	nonummy	nibh euismod tincidunt ut 
	    laoreet dolore magna aliquam erat	volutpat. Ut wisi enim ad minim	veniam.	
	</p>
	
	<hr	/>
	
	<table width="95%">
	    <tr valign="top">
	        <td>
	            <asp:WebPartZone ID="LeftZone" runat="server">
                    <ZoneTemplate>
                        <uc1:DepartmentListingPart ID="DepartmentListingPart1" runat="server" Title="Departments" />
                    </ZoneTemplate>        
                </asp:WebPartZone>
	        </td>
	        <td>
	            <asp:WebPartZone ID="RightZone" runat="server">
                    <ZoneTemplate>
                        <uc2:EmployeeListingPart ID="EmployeesByDepartmentPart1" runat="server" Title="Employees" Height="300" />
                    </ZoneTemplate>        
                </asp:WebPartZone>
	        </td>
	    </tr>
	</table>
</div>

<div id="rightcolumn">
    <div class="sidebar">
    
        <p>
            Display Mode:<uc3:ModeChanger ID="ModeChanger1" runat="server" />
        </p>
        
        <h4>Useful Links</h4>
		
		<ul>
			<li><a href="#">Lorem ipsum dolositionr</a></li>
			<li><a href="#">Lorem ipsum dolositionr</a></li>
			<li><a href="#">Lorem ipsum dolositionr</a></li>
			<li><a href="#">Lorem ipsum dolositionr</a></li>
			<li><a href="#">Lorem ipsum dolositionr</a></li>
		</ul>
    
        <asp:EditorZone ID="EditorZone1" runat="server" >
            <ZoneTemplate>
                <asp:PropertyGridEditorPart ID="PropertyGridEditorPart1" runat="server" />
            </ZoneTemplate>
        </asp:EditorZone>
        <asp:CatalogZone ID="CatalogZone1" runat="server" >
            <ZoneTemplate>
                <asp:PageCatalogPart ID="PageCatalogPart1" runat="server" />
            </ZoneTemplate>
        </asp:CatalogZone>
        <asp:ConnectionsZone ID="ConnectionsZone1" runat="server" />   
    </div>
       
</div>

</asp:Content>