using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace WebPartTests {

    public class SingleKeySqlPersonalizationProvider : SqlPersonalizationProvider {

        public SingleKeySqlPersonalizationProvider() { }


        protected override void LoadPersonalizationBlobs(WebPartManager webPartManager, string path, string userName, ref byte[] sharedDataBlob, ref byte[] userDataBlob) {

            path = "urn:GlobalKey";
            base.LoadPersonalizationBlobs(webPartManager, path, userName, ref sharedDataBlob, ref userDataBlob);
        }


        protected override void SavePersonalizationBlob(WebPartManager webPartManager, string path, string userName, byte[] dataBlob) {

            path = "urn:GlobalKey";
            base.SavePersonalizationBlob(webPartManager, path, userName, dataBlob);
        }
    }
}