using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.ComponentModel;

namespace WebPartTests {

    public class ConvertibleWebPart  : WebPart {
        public ConvertibleWebPart() { }

        private MyNumberType _numberData = new MyNumberType();
        [Personalizable]
        [WebBrowsable()]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Content)]
        public MyNumberType NumberData {
            get { return _numberData; }
            set { _numberData = value; }
        }


        protected override void RenderContents(HtmlTextWriter writer) {
            base.RenderContents(writer);

            string displayValue = string.Format(
                "The number is {0} which is represented as {1}.",
                NumberData.TheNumber.ToString(),
                NumberData.TheWordRepresentation
            );

            writer.Write(displayValue);
        }
    }

}