using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.ComponentModel;


namespace WebPartTests {

    [TypeConverter(typeof(MyNumberTypeConverter))]
    public class MyNumberType {

        public MyNumberType() { }

        public MyNumberType(int number, string word) {
            this._theNumber = number;
            this._theWordRepresentation = word;
        }

        private int _theNumber;
        public int TheNumber {
            get { return _theNumber; }
            set { _theNumber = value; }
        }

        private string _theWordRepresentation;
        public string TheWordRepresentation {
            get { return _theWordRepresentation; }
            set { _theWordRepresentation = value; }
        }


        public override string ToString() {
            if( string.IsNullOrEmpty(TheWordRepresentation)){
                return "" ;
            }

            return TheNumber.ToString() + "$" + TheWordRepresentation;
        }
    }
}