<%@ Page Language="C#" AutoEventWireup="true" Codebehind="Default.aspx.cs" Inherits="ManagementFeatures._Default" %>
<%@ Register Src="~/ManagementWebParts/UserPersonalizationData.ascx" TagPrefix="wp" TagName="UserPersonalization" %>
<%@ Register Src="~/ManagementWebParts/AllPersonalizationState.ascx" TagPrefix="wp" TagName="MostRecent" %>
<%@ Register Src="~/ManagementWebParts/InactiveUsers.ascx" TagPrefix="wp" TagName="InactiveUsers" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

    protected override void OnLoad(EventArgs e) {
        base.OnLoad(e);

        LinkButton1.Visible = User.Identity.IsAuthenticated;
        LinkButton2.Visible = User.Identity.IsAuthenticated;

        lblAppName.Text = PersonalizationAdministration.ApplicationName;
    }
    
    protected void LinkButton1_Click(object sender, EventArgs e) {
        WebPartManager1.DisplayMode = WebPartManager.BrowseDisplayMode;
    }

    protected void LinkButton2_Click(object sender, EventArgs e) {
        WebPartManager1.DisplayMode = WebPartManager.EditDisplayMode;
    }
    
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Default Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <p>
            <asp:WebPartManager ID="WebPartManager1" runat="server">
            </asp:WebPartManager>
            Login to make changes personalization changes for a specific user then go to the management page to run 
            personalization queries.
        </p>
        
        
    
        <div>
            <p>
                <a href="Management.aspx">Management Page</a>
            </p>
        
            <asp:LoginStatus ID="LoginStatus1" runat="server" />
            <br />
            <asp:LinkButton ID="LinkButton1" runat="server" OnClick="LinkButton1_Click">Browse Mode</asp:LinkButton><br />
            <asp:LinkButton ID="LinkButton2" runat="server" OnClick="LinkButton2_Click">Edit Mode</asp:LinkButton><br />
            <br />
            
            <table>
                <tr valign="top">
                    <td>
                        <asp:WebPartZone ID="WebPartZone1" runat="server" BorderColor="#CCCCCC" Font-Names="Verdana"
                                Padding="6">
                                <PartChromeStyle BackColor="#F7F6F3" BorderColor="#E2DED6" Font-Names="Verdana" ForeColor="White" />
                                <MenuLabelHoverStyle ForeColor="#E2DED6" />
                                <EmptyZoneTextStyle Font-Size="0.8em" />
                                <MenuLabelStyle ForeColor="White" />
                                <MenuVerbHoverStyle BackColor="#F7F6F3" BorderColor="#CCCCCC" BorderStyle="Solid"
                                    BorderWidth="1px" ForeColor="#333333" />
                                <HeaderStyle Font-Size="0.7em" ForeColor="#CCCCCC" HorizontalAlign="Center" />
                                <MenuVerbStyle BorderColor="#5D7B9D" BorderStyle="Solid" BorderWidth="1px" ForeColor="White" />
                                <PartStyle Font-Size="0.8em" ForeColor="#333333" />
                                <TitleBarVerbStyle Font-Size="0.6em" Font-Underline="False" ForeColor="White" />
                                <MenuPopupStyle BackColor="#5D7B9D" BorderColor="#CCCCCC" BorderWidth="1px" Font-Names="Verdana"
                                    Font-Size="0.6em" />
                                <PartTitleStyle BackColor="#5D7B9D" Font-Bold="True" Font-Size="0.8em" ForeColor="White" />
                                <ZoneTemplate>
                                    <asp:TextBox ID="TextBox1" runat="server"></asp:TextBox>
                                </ZoneTemplate>
                            </asp:WebPartZone>
                            <br />
                            <br />
                        
                        <asp:EditorZone ID="EditorZone1" runat="server" BackColor="#F7F6F3" BorderColor="#CCCCCC"
                            BorderWidth="1px" Font-Names="Verdana" Padding="6">
                            <HeaderStyle BackColor="#E2DED6" Font-Bold="True" Font-Size="0.8em" ForeColor="#333333" />
                            <LabelStyle Font-Size="0.8em" ForeColor="#333333" />
                            <HeaderVerbStyle Font-Bold="False" Font-Size="0.8em" Font-Underline="False" ForeColor="#333333" />
                            <PartChromeStyle BorderColor="#E2DED6" BorderStyle="Solid" BorderWidth="1px" />
                            <ZoneTemplate>
                                <asp:AppearanceEditorPart ID="AppearanceEditorPart1" runat="server" />
                            </ZoneTemplate>
                            <PartStyle BorderColor="#F7F6F3" BorderWidth="5px" />
                            <FooterStyle BackColor="#E2DED6" HorizontalAlign="Right" />
                            <EditUIStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
                            <InstructionTextStyle Font-Size="0.8em" ForeColor="#333333" />
                            <ErrorStyle Font-Size="0.8em" />
                            <VerbStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
                            <EmptyZoneTextStyle Font-Size="0.8em" ForeColor="#333333" />
                            <PartTitleStyle Font-Bold="True" Font-Size="0.8em" ForeColor="#333333" />
                        </asp:EditorZone>        
                    </td>
                    <td valign="top">
                        <h3>Management Web Parts</h3>
                        
                        Personalization Data for: <asp:Label ID="lblAppName" runat="server" />
                        
                        <asp:WebPartZone ID="WebPartZone2" runat="server" BorderColor="#CCCCCC" Font-Names="Verdana" Padding="6">
                            <ZoneTemplate>
                                <wp:UserPersonalization id="UserPersonalization1" runat="server" Title="Specific User" DisplayTitle="Specific User" />
                                <wp:InactiveUsers id="InactiveUsers1" runat="server" Title="Inactive Users" DisplayName="Inactive Users" />
                            </ZoneTemplate>
                            <PartChromeStyle BackColor="#F7F6F3" BorderColor="#E2DED6" Font-Names="Verdana" ForeColor="White" />
                            <MenuLabelHoverStyle ForeColor="#E2DED6" />
                            <EmptyZoneTextStyle Font-Size="0.8em" />
                            <MenuLabelStyle ForeColor="White" />
                            <MenuVerbHoverStyle BackColor="#F7F6F3" BorderColor="#CCCCCC" BorderStyle="Solid"
                                BorderWidth="1px" ForeColor="#333333" />
                            <HeaderStyle Font-Size="0.7em" ForeColor="#CCCCCC" HorizontalAlign="Center" />
                            <MenuVerbStyle BorderColor="#5D7B9D" BorderStyle="Solid" BorderWidth="1px" ForeColor="White" />
                            <PartStyle Font-Size="0.8em" ForeColor="#333333" />
                            <TitleBarVerbStyle Font-Size="0.6em" Font-Underline="False" ForeColor="White" />
                            <MenuPopupStyle BackColor="#5D7B9D" BorderColor="#CCCCCC" BorderWidth="1px" Font-Names="Verdana"
                                Font-Size="0.6em" />
                            <PartTitleStyle BackColor="#5D7B9D" Font-Bold="True" Font-Size="0.8em" ForeColor="White" />
                        </asp:WebPartZone>
                        
                    </td>
                </tr>
            </table>
            </div>
    </form>
</body>
</html>
