﻿<%@ Page Language="C#" %>

<script runat="server">
    
    protected void Button1_Click(object sender, EventArgs e) {
        
        Button btn = (Button)sender;
        
        if (btn.Text.Contains("Edit")) {
            WebPartManager1.DisplayMode = WebPartManager.EditDisplayMode;
            Button1.Text = "Switch to Browse Mode";
        } else {
            WebPartManager1.DisplayMode = WebPartManager.BrowseDisplayMode;
            Button1.Text = "Switch to Edit Mode";
        } 
        
         
    }

</script>

<html>
<head runat="server">
    <title>Minimum Definition Web Parts Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:WebPartManager ID="WebPartManager1" runat="server" />
    
        <div id="container" style="width: 500px">
            <div id="rightpanel" style="float: right; width: 200px">
                <asp:WebPartZone ID="WebPartZone2" runat="server" HeaderText="Right Zone">
                    <ZoneTemplate>
                        <asp:Label ID="Label1" runat="server" Title="Today's thought" 
                            Text="We often learn more from our failures than from our successes" />
                    </ZoneTemplate>
                </asp:WebPartZone>
            </div>
            <div id="leftpanel">
                <asp:WebPartZone ID="WebPartZone1" runat="server" HeaderText="Left Zone">
                    <ZoneTemplate>
                        <asp:Calendar ID="Calendar1" runat="server" Title="Thought of the Day" />
                    </ZoneTemplate>
                </asp:WebPartZone>
            </div>
        </div>
    
        <asp:Button ID="Button1" 
            runat="server" 
            OnClick="Button1_Click" 
            Text="Switch to Edit Mode" />
            
        <hr />
        <asp:EditorZone ID="EditorZone2" runat="server">
            <ZoneTemplate>
                <asp:AppearanceEditorPart ID="AppearanceEditorPart1" runat="server" />
            </ZoneTemplate>
        </asp:EditorZone>

        
    </form>
</body>
</html>


















