using System;
using System.Collections.Generic;
using System.Text;
using System.Security.Cryptography;

namespace AW.Portal.Web.SharedWebParts {
    static class EncryptionHelpers {

        private static TripleDESCryptoServiceProvider _crypto =
            new TripleDESCryptoServiceProvider();


        public static string EncryptData(string data) {

            string encryptedData = "";

            if (!string.IsNullOrEmpty(data)) {

                byte[] receivedBytes = Encoding.Unicode.GetBytes(data);
                byte[] encryptedBytes =
                _crypto.CreateEncryptor().TransformFinalBlock(
                        receivedBytes,
                        0,
                        receivedBytes.GetLength(0)
                        );

                encryptedData = Convert.ToBase64String(encryptedBytes);
            }
            return encryptedData;
        }


        public static string DecryptData(string encryptedData) {

            string decryptedData = "";

            if (!string.IsNullOrEmpty(encryptedData)) {
                byte[] base64 = Convert.FromBase64String(encryptedData);
                byte[] bytes = _crypto.CreateDecryptor().TransformFinalBlock(
                    base64,
                    0,
                    base64.GetLength(0)
                    );

                decryptedData = Encoding.Unicode.GetString(bytes);
            }

            return decryptedData;
        }

    }
}
