﻿<%@ Page Language="C#" AutoEventWireup="true" Trace="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Namespace="WebPartTests" TagPrefix="wp" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Testing the Personalization Interfaces</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:WebPartManager ID="WebPartManager1" runat="server" />
        
        <asp:LinkButton ID="lnkBrowseMode" runat="server" OnClick="lnkBrowseMode_Click" Text="Browse Mode" />
        <br />
        <asp:LinkButton ID="lnkDesignDisplayMode" runat="server" Text="Design Mode" OnClick="lnkDesignDisplayMode_Click" />
        <br />
        <asp:LinkButton ID="lnkEditMode" runat="server" OnClick="lnkEditMode_Click" Text="Edit Mode" />
        <br />
        <asp:LinkButton ID="lnkCatalogMode" runat="server" OnClick="lnkCatalogMode_Click" Text="Catalog Mode" /><br />
        <br />
        <br />
        
        Hyperlink: 
        <asp:TextBox ID="UrlTextBox" runat="Server" Width="367px" /> 
        <asp:Button ID="AddUrlButton" runat="Server" Text="Add Hyperlink" OnClick="AddUrlButton_Click" />
        
        <asp:WebPartZone ID="WebPartZone1" runat="server">
            <ZoneTemplate>
                <wp:FavoritesWebPart ID="FavoritesWebPart1" runat="server" Title="Favorites Part" Hyperlinks-Capacity="0" />
                <wp:EncryptedDataWebPart ID="EncryptedDataWebPart1" runat="server" Title="Encrypted Data Part" />
                <wp:VersionedWebPart ID="VersionedWebPart1" runat="server" Title="Versioned Part" />
                <wp:TrackingWebPart ID="TrackingWebPart1" runat="server" Title="Tracking Part" />
            </ZoneTemplate>
        </asp:WebPartZone>
        
        <br />
        <br />
        
        <asp:EditorZone ID="EditorZone1" runat="server" BackColor="#F7F6F3" BorderColor="#CCCCCC" BorderWidth="1px" Font-Names="Verdana" Padding="6">
            <ZoneTemplate>
                <asp:PropertyGridEditorPart ID="PropertyGridEditorPart1" runat="server" />
            </ZoneTemplate>
            <HeaderStyle BackColor="#E2DED6" Font-Bold="True" Font-Size="0.8em" ForeColor="#333333" />
            <LabelStyle Font-Size="0.8em" ForeColor="#333333" />
            <HeaderVerbStyle Font-Bold="False" Font-Size="0.8em" Font-Underline="False" ForeColor="#333333" />
            <PartChromeStyle BorderColor="#E2DED6" BorderStyle="Solid" BorderWidth="1px" />
            <PartStyle BorderColor="#F7F6F3" BorderWidth="5px" />
            <FooterStyle BackColor="#E2DED6" HorizontalAlign="Right" />
            <EditUIStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
            <InstructionTextStyle Font-Size="0.8em" ForeColor="#333333" />
            <ErrorStyle Font-Size="0.8em" />
            <VerbStyle Font-Names="Verdana" Font-Size="0.8em" ForeColor="#333333" />
            <EmptyZoneTextStyle Font-Size="0.8em" ForeColor="#333333" />
            <PartTitleStyle Font-Bold="True" Font-Size="0.8em" ForeColor="#333333" />
        </asp:EditorZone>
        
        <asp:CatalogZone ID="CatalogZone1" runat="server">
            <ZoneTemplate>
                <asp:PageCatalogPart ID="PageCatalogPart1" runat="server" />
            </ZoneTemplate>
        </asp:CatalogZone>
    
    </div>
    </form>
</body>
</html>
