using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Site : System.Web.UI.MasterPage
{
    protected void lnkBrowse_Click(object sender, EventArgs e) {
        WebPartManager1.DisplayMode = WebPartManager.BrowseDisplayMode;
    }


    protected void lnkDesign_Click(object sender, EventArgs e) {
        WebPartManager1.DisplayMode = WebPartManager.DesignDisplayMode;
    }


    protected void lnkToggle_Click(object sender, EventArgs e) {
        WebPartManager1.Personalization.ToggleScope();
    }


    protected void lnkReset_Click(object sender, EventArgs e) {
        WebPartManager1.Personalization.ResetPersonalizationState();
    }



    protected void Login1_Authenticate(object sender, AuthenticateEventArgs e) {
        if (!string.IsNullOrEmpty(Login1.UserName) && Login1.Password == "password") {
            e.Authenticated = true;
        } else {
            e.Authenticated = false;
        }
    }



    protected override void OnPreRender(EventArgs e) {
        base.OnPreRender(e);
        this.lnkToggle.Visible = WebPartManager1.Personalization.CanEnterSharedScope;
        this.lnkReset.Visible = WebPartManager1.Personalization.CanEnterSharedScope;
        this.LoginStatus1.Visible = Page.User.Identity.IsAuthenticated;
        this.lnkBrowse.Visible = Page.User.Identity.IsAuthenticated;
        this.lnkDesign.Visible = Page.User.Identity.IsAuthenticated;
        this.Login1.Visible = !Page.User.Identity.IsAuthenticated;
    }

}
