﻿<%@ Page Language="C#" MasterPageFile="~/Default.master" CodeFile="Default.aspx.cs" Inherits="_Default" ValidateRequest="false" %>
<%@ Register Namespace="AW.Portal.Web" TagPrefix="portal" %>
<%@ Register Src="WebParts/YearPicker.ascx" TagName="YearPicker" TagPrefix="uc5" %>

<%@ Register Src="WebParts/DepartmentConsumer.ascx" TagName="DepartmentConsumer" TagPrefix="uc4" %>
<%@ Register Namespace="AW.Portal.Web" TagPrefix="portal" %>
<%@ Register Namespace="AW.Portal.Web.SharedWebParts" Assembly="AW.Portal.Web.SharedWebParts" TagPrefix="wp" %>
<%@ Register Src="UserControls/ModeChanger.ascx" TagName="ModeChanger" TagPrefix="uc3" %>
<%@ Register Src="WebParts/EmployeeListingPart.ascx" TagName="EmployeeListingPart" TagPrefix="uc2" %>
<%@ Register Src="WebParts/DepartmentProvider.ascx" TagName="DepartmentProvider" TagPrefix="uc1" %>


<asp:Content ContentPlaceHolderID="Main" ID="Content1" runat="server">

<div id="leftcolumn">

    <asp:ProxyWebPartManager ID="ProxyWebPartManager1" runat="Server" />

    <portal:PortalWebPartZone ID="TopZone" runat="Server">
        <ZoneTemplate>
            <wp:TextWebPart ID="GreetingWebPart" runat="server" />
        </ZoneTemplate>        
    </portal:PortalWebPartZone>
	
	<hr	/>
	
	
	
	<table width="95%">
	    <tr valign="top">
	        <td>
	            <portal:PortalWebPartZone ID="LeftZone" runat="server">
                    <ZoneTemplate>
                        <uc1:DepartmentProvider ID="DepartmentProvider1" runat="server" Title="Departments" />
                    </ZoneTemplate>        
                </portal:PortalWebPartZone>
	        </td>
	        <td>
	            <portal:PortalWebPartZone ID="RightZone" runat="server">
                    <ZoneTemplate>
                        <uc2:EmployeeListingPart ID="EmployeesByDepartmentPart1" runat="server" Title="Employees" Height="300" />
                    </ZoneTemplate>        
                </portal:PortalWebPartZone>
	        </td>
	    </tr>
	</table>
</div>

<div id="rightcolumn">
    <div class="sidebar">
    
        <p>
            Display Mode:<uc3:ModeChanger ID="ModeChanger1" runat="server" />
        </p>
        
        <h4>Useful Links</h4>
		
		<ul>
			<li><a href="#">Lorem ipsum dolositionr</a></li><li><a href="#">Lorem ipsum dolositionr</a></li><li><a href="#">Lorem ipsum dolositionr</a></li><li><a href="#">Lorem ipsum dolositionr</a></li><li><a href="#">Lorem ipsum dolositionr</a></li></ul>
    
        
        <portal:CollapsibleEditorZone ID="EditorZone1" runat="server" >
            <ZoneTemplate>
                <asp:AppearanceEditorPart ID="AppearanceEditorPart1" runat="server" />
                <asp:LayoutEditorPart ID="LayoutEditorPart1" runat="server" />
                <asp:PropertyGridEditorPart ID="PropertyGridEditorPart1" runat="server" />
                <asp:BehaviorEditorPart ID="BehaviorEditorPart1" runat="server" />
            </ZoneTemplate>
        </portal:CollapsibleEditorZone>
        
        
        <asp:CatalogZone ID="CatalogZone1" runat="server">
            <ZoneTemplate>
                <asp:PageCatalogPart ID="PageCatalogPart1" runat="server" />
                <portal:CentralGalleryCatalogPart ID="CentralGallery1" runat="server" GalleryPath="~/CentralGallery/" Title="Central Gallery" />
                <asp:ImportCatalogPart ID="ImportCatalogPart1" runat="server" />
                <asp:DeclarativeCatalogPart ID="DeclarativeCatalogPart1" runat="server">
                    <WebPartsTemplate>
                        <uc4:DepartmentConsumer id="DepartmentConsumer1" runat="server" Title="Department Details" ExportMode="All" />
                        <uc5:YearPicker id="YearPicker1" runat="server" Title="Set Current Year" ExportMode="All" />
                        <wp:TextWebPart ID="TextWebPart1" runat="Server" Title="Text Web Part" ExportMode="All" />
                        <wp:TaskNotes ID="TaskNote1" runat="server" Title="Task Note" />
                        <portal:FavoritesWebPart ID="FavoritesWebPart1" runat="server" />
                    </WebPartsTemplate>
                </asp:DeclarativeCatalogPart>
            </ZoneTemplate>
        </asp:CatalogZone>
        
        <asp:ConnectionsZone ID="ConnectionsZone1" runat="server" />   
    </div>
       
</div>

</asp:Content>