using System;
using System.Collections.Generic;
using System.Text;
using System.Security.Cryptography;

namespace AW.Portal.Web.SharedWebParts {
    static class EncryptionHelpers {

        static TripleDESCryptoServiceProvider _crypto = new TripleDESCryptoServiceProvider();
        static byte[] _tdeskey = { 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24 };
        static byte[] _IV = { 1, 2, 3, 4, 5, 6, 7, 8 };


        public static string EncryptData(string data) {

            string encryptedData = "";

            if (data != null && data.Length > 0) {

                byte[] receivedBytes = Encoding.Unicode.GetBytes(data);
                byte[] encryptedBytes =
                    _crypto.CreateEncryptor(_tdeskey, _IV).TransformFinalBlock(
                    receivedBytes,
                    0,
                    receivedBytes.GetLength(0)
                    );

                encryptedData = Convert.ToBase64String(encryptedBytes);
            }
            return encryptedData;
        }


        public static string DecryptData(string encryptedData) {

            string decryptedData = "";

            if (encryptedData != null && encryptedData.Length > 0) {
                byte[] base64 = Convert.FromBase64String(encryptedData);
                byte[] bytes = _crypto.CreateDecryptor(_tdeskey, _IV).TransformFinalBlock(
                    base64,
                    0,
                    base64.GetLength(0)
                    );

                decryptedData = Encoding.Unicode.GetString(bytes);
            }

            return decryptedData;
        }

    }
}
