using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI;

namespace AW.Portal.Web.SharedWebParts {

    public class NewsWebPart : WebPart {

        private string _news = "News";
        [Personalizable(PersonalizationScope.Shared)]
        [WebBrowsable]
        [WebDisplayName("News")]
        [WebDescription("Displays news to portal users.")]
        public string News {
            get { return _news; }
            set { _news = value; }
        }

        protected override void RenderContents(HtmlTextWriter writer) {
            writer.Write(News);
        }
    }
}
