<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="InactiveUsers.ascx.cs" Inherits="ManagementFeatures.ManagementWebParts.InactiveUsers" %>
<%@ Import Namespace="System.Collections.Generic" %>
<script runat="server">

    protected void Button1_Click(object sender, EventArgs e) {

DateTime inactiveSince = DateTime.Now;
int number = int.Parse(this.TextBox1.Text);

switch (DropDownList1.SelectedValue) {
    case "Minutes":
        inactiveSince = DateTime.Now.AddMinutes(-number);
        break;
    case "Hours" :
        inactiveSince = DateTime.Now.AddHours(-number);
        break;
    default: // days                
        inactiveSince = DateTime.Now.AddDays(-number);
        break;
}

PersonalizationStateInfoCollection inactiveUserResult =
   PersonalizationAdministration.GetAllInactiveUserState(inactiveSince);

if (inactiveUserResult.Count > 0) {
    List<UserPersonalizationStateInfo> userStateCollection = new List<UserPersonalizationStateInfo>();
    foreach (UserPersonalizationStateInfo info in inactiveUserResult) {
        userStateCollection.Add(info);
    }
    gvwInactiveUserState.DataSource = userStateCollection;
    gvwInactiveUserState.DataBind();

    lblInactiveUserState.Text = inactiveUserResult.Count.ToString();
} else {
    lblInactiveUserState.Text = "";
}
    }
</script>

Inactive For Last
<asp:TextBox ID="TextBox1" runat="server" Width="54px">20</asp:TextBox>&nbsp;<asp:DropDownList
    ID="DropDownList1" runat="server">
    <asp:ListItem Selected="true">Minutes</asp:ListItem>
    <asp:ListItem>Hours</asp:ListItem>
    <asp:ListItem>Days</asp:ListItem>
</asp:DropDownList>&nbsp;<asp:Button ID="Button1" runat="server" OnClick="Button1_Click"
    Text="Submit" /><br />
<hr />



Count of Inactive Users:
<asp:Label ID="lblInactiveUserState" runat="server"></asp:Label><br />
<p></p>
<asp:GridView ID="gvwInactiveUserState" runat="server" />